<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-affectation-heading"
        data-cy="AffectationCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.affectation.home.createOrEditLabel"
      >
        Créer ou éditer un Affectation
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.affectation.dateAffectation" for="field_dateAffectation"
            >Date Affectation</label
          >
          <div class="input-group">
            <input
              id="field_dateAffectation"
              data-cy="dateAffectation"
              type="text"
              class="form-control"
              name="dateAffectation"
              ngbDatepicker
              #dateAffectationDp="ngbDatepicker"
              formControlName="dateAffectation"
            />
            <button type="button" class="btn btn-secondary" (click)="dateAffectationDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.affectation.region" for="field_region">Region</label>
          <select
            class="form-control"
            id="field_region"
            data-cy="region"
            name="region"
            formControlName="region"
            [compareWith]="compareRegion"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="regionOption" *ngFor="let regionOption of regionsSharedCollection">{{ regionOption.id }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.affectation.fonction" for="field_fonction">Fonction</label>
          <select
            class="form-control"
            id="field_fonction"
            data-cy="fonction"
            name="fonction"
            formControlName="fonction"
            [compareWith]="compareFonction"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="fonctionOption" *ngFor="let fonctionOption of fonctionsSharedCollection">{{ fonctionOption.id }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.affectation.employe" for="field_employe">Employe</label>
          <select
            class="form-control"
            id="field_employe"
            data-cy="employe"
            name="employe"
            formControlName="employe"
            [compareWith]="compareEmploye"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="employeOption" *ngFor="let employeOption of employesSharedCollection">{{ employeOption.id }}</option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.affectation.structure" for="field_structure">Structure</label>
          <select
            class="form-control"
            id="field_structure"
            data-cy="structure"
            name="structure"
            formControlName="structure"
            [compareWith]="compareStructure"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="structureOption" *ngFor="let structureOption of structuresSharedCollection">{{ structureOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
